Skip to main content
GET
/
api
/
v2
/
stats
/
search_engine_users
Search engine usage
curl --request GET \
  --url https://{search_zone}-api.doofinder.com/api/v2/stats/search_engine_users \
  --header 'Authorization: <api-key>'
{
  "results": [
    {
      "inits": 2000,
      "searches": 8000,
      "visits": 3000
    }
  ],
  "total": 0,
  "total_count": 0
}

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Query Parameters

from
string
required

Start date of the period in the format of UNIX timestamp or YYYYMMDD.

Pattern: ^20\d{2}(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])$|^\d{10}|^\d{13}$
to
string
required

End date of the period in the format of UNIX timestamp or YYYYMMDD.

Pattern: ^20\d{2}(0[1-9]|1[012])(0[1-9]|[12][0-9]|3[01])$|^\d{10}$|^\d{13}
hashids
string[]

Unique id of the search engine. It accepts an array of values. If you want to work with all user search engines just don't send this parameter. Arrays parameters must be in the format param[]=value.

Pattern: ^[a-f0-9]{32}$
hashid
string[]
Pattern: ^[a-f0-9]{32}$
tz
string
default:Etc/UTC

The timezone for the given dates, by default, assumes ETC/UTC. In naming your time zones, you must stick to those indicated in the TZ database name column here

format
enum<string>
default:json

Indicates which response format should be used

Available options:
json,
csv
aggregate
boolean
default:true

Flag to indicate when to aggregate all Search Engines stats data.

device
enum<string>

Filter by kind of device.

Available options:
desktop,
mobile

Response

Stats retrieved.

Stats for user behaviour for a search engine.

results
object[]
total
integer

Always 0.

Example:

0

total_count
integer

Always 0.

Example:

0